#
# spec file for package python-couchdbkit
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-couchdbkit
Version:        0.6.5
Release:        lp150.1.3
Url:            http://couchdbkit.org
Summary:        Python couchdb kit
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/couchdbkit/couchdbkit-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-restkit
Suggests:       couchdb
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Couchdbkit provides you a full featured and easy client to access and
manage CouchDB. It allows you to manage a CouchDBserver, databases, doc
managements and view access. All objects mostly reflect python objects for
convenience. Server and Databases objects could be used for example as easy
as using a dict.

%prep
%setup -q -n couchdbkit-%{version}
chmod -x LICENSE # fix executable bit

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 0.6.5
  + Upstream provides no changelog, see
    https://github.com/benoitc/couchdbkit/compare/0.6.3...0.6.5
- Replace python-distribute with python-setuptools
* Wed Jun  6 2012 cfarrell@suse.com
- license update: MIT
  No Apache-2.0 files found in the package - plenty of MIT ones and the
  LICENSE is MIT
* Wed Jun  6 2012 saschpe@suse.de
- Update to version 0.6.3:
  + Upstream provides no changelog, see
    https://github.com/benoitc/couchdbkit/compare/0.6.1...0.6.3
* Tue Mar 27 2012 saschpe@suse.de
- Update to version 0.6.1
- Only suggest couchdb, can be on another machine
* Tue Sep 20 2011 saschpe@suse.de
- Update to version 0.5.7
- Spec file updates:
  * BuildRequire newer python-distribute instead of python-setuptools
  * Added more (Build)Requires to run testsuite
* Mon Feb 21 2011 saschpe@suse.de
- Update to version 0.5.4
* Tue Jan 25 2011 saschpe@suse.de
- Initial commit (0.5.1)
